Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Notes

Freeform notes, attached to the records they're about.

List notes

GET/notes
Scope notes:viewRead-only

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/notes?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a note

POST/notes
Scope notes:useWrites data

Request body

FieldType
textstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/notes" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"text":"Prefers WhatsApp after 6pm."}'

Get a note by id

GET/notes/{id}
Scope notes:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/notes/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a note

PATCH/notes/{id}
Scope notes:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/notes/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a note

DELETE/notes/{id}
Scope notes:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/notes/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"